DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Functions
Position helper functions (use in conjunction with the update&add functions)
The XML parser » Create or Update the XMLNode structure

These are some useful functions when you want to insert a childNode, a text or a XMLClearTag in the middle (at a specified position) of a XMLNode tree already constructed. More...

## Functions
XMLElementPosition | XMLNode::positionOfChildNode (XMLCSTR name, int i=0) const
| return the position of the ith childNode with the specified name if (name==NULL) return the position of the ith childNode

## Detailed Description

These are some useful functions when you want to insert a childNode, a text or a XMLClearTag in the middle (at a specified position) of a XMLNode tree already constructed.

The value returned by these methods is to be used as last parameter (parameter 'pos') of addChild, addText or addClear.

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2